Authentication

HTTP Bearer Token auth

You can generate API keys on the Integrations page → API.

Things to Know About API Keys:

  • They belong to a particular User in your organization. You must choose a user who is an admin to associate the key with. Actions taken with a certain user's API key will be attributed to that user. For example, if you assign a training, the assigner will be the owner of the API key.
  • They can be created by any admin (and the admin can select any user to own the key).
  • They'll stop working if the user who owns the key is deactivated (e.g. if they leave the company). Some customers choose to create a dedicated "service account" to own their API keys to prevent this. A service account is just an admin account you create which does not belong to any person, usually given a name like "Automation Account" or "API Account." If you create a service account, ensure that you set a very strong password. (Consider not even retaining the password. If you ever need to log into it, any admin can set its password in Users.)
  • One admin user or service account can have an unlimited number of keys, so there's no need to use the same exact API key for more than one system, project or purpose. Make a new key whenever you need one. Each key can be separately managed and revoked. This makes much less work for you in the event of an accidental compromise.
❗️

Safeguard your API Key!

Anyone with your API token is able to read any information, including private user information, and to make any changes in your organization's Learn:Up account. It is critical that you protect this key, and immediately revoke and replace any key that might have been compromised. You can do this on the Integrations page at any time, or contact Support for help.

To start making API calls once you have your api key, simply add the Authorization Header to your requests:

curl https://app.workramp.com/api/v2/guides \
-H "Authorization: Bearer YOUR_API_KEY_HERE"

If you encounter any issues, you can contact the Confirm support team at [email protected].